Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class DefinitionsFactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.struts.tiles.TilesException
                  org.apache.struts.tiles.DefinitionsFactoryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FactoryNotFoundException, NoSuchDefinitionException

    public class DefinitionsFactoryException

extends TilesException

Exception thrown when an error occurs while the factory tries to create a new instance mapper.

See Also:
  Serialized Form

Constructor Summary
`DefinitionsFactoryException()` Constructor.
`DefinitionsFactoryException(Exception e)` Create a new `DefinitionsFactoryException` wrapping an existing exception.
`DefinitionsFactoryException(String message)` Constructor.
`DefinitionsFactoryException(String message, Exception e)` Create a new `DefinitionsFactoryException` from an existing exception.

Method Summary
`Exception` | `getException()` Return the embedded exception, if any.
`String` | `getMessage()` Return a detail message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefinitionsFactoryException

    public DefinitionsFactoryException()

  Constructor.

### DefinitionsFactoryException

    public DefinitionsFactoryException(String message)

  Constructor.

  Parameters:
    `message` - The error or warning message.

### DefinitionsFactoryException

    public DefinitionsFactoryException(Exception e)

  Create a new `DefinitionsFactoryException` wrapping an existing exception.

  The existing exception will be embedded in the new one and its message will become the default message for the DefinitionsFactoryException.

  Parameters:
    `e` - The exception to be wrapped.

### DefinitionsFactoryException

    public DefinitionsFactoryException(String message,
                                       Exception e)

  Create a new `DefinitionsFactoryException` from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped.

Method Detail

### getMessage

    public String getMessage()

  Return a detail message for this exception.

  If there is a embedded exception, and if the DefinitionsFactoryException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `TilesException`
  Returns:
    The error or warning message.

### getException

    public Exception getException()

  Return the embedded exception, if any.

  Overrides:
    `getException` in class `TilesException`
  Returns:
    The embedded exception, or `null` if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.